#version 120

attribute vec2 a_vertex;
attribute vec2 a_texcoord;
attribute vec4 a_color;
attribute vec2 a_mask;

uniform mat4 u_projection;

varying vec2 v_texcoord;
varying vec4 v_color;
varying vec2 v_mask;

void main() {
	v_texcoord = a_texcoord;
	v_color = a_color;
	v_mask = a_mask;
	gl_Position = u_projection * vec4(a_vertex.xy, 0, 1);
}
